Subject: Re: [PATCH 0/6] Sizing zones and holes in an architecture independent manner V8

From: Heiko Carstens <[email-masked]>
Date: Sat, 8 Jul 2006 13:42:01 +0200

On Sat, Jul 08, 2006 at 12:10:42PM +0100, Mel Gorman wrote:
> There are differences in the zone sizes for x86_64 as the arch-specific code
> for x86_64 accounts the kernel image and the starting mem_maps as memory
> holes but the architecture-independent code accounts the memory as present.

Shouldn't this be the same for all architectures? Or to put it in other words:
why does only x86_64 account the kernel image as memory hole?